<?php

namespace Litecms\ManageBusListing;

use User;

class ManageBusListing
{
    /**
     * $manage_bus_listing object.
     */
    protected $manage_bus_listing;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\ManageBusListing\Interfaces\ManageBusListingRepositoryInterface $manage_bus_listing)
    {
        $this->manage_bus_listing = $manage_bus_listing;
    }

    /**
     * Returns count of manage_bus_listing.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.manage_bus_listing.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->manage_bus_listing->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ManageBusListingUserCriteria());
        }

        $manage_bus_listing = $this->manage_bus_listing->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('manage_bus_listing::' . $view, compact('manage_bus_listing'))->render();
    }
}
