<?php

namespace Litecms\ManageBusListing\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ManageBusListingTransformer extends TransformerAbstract
{
    public function transform(\Litecms\ManageBusListing\Models\ManageBusListing $manage_bus_listing)
    {
        return [
            'id'                => $manage_bus_listing->getRouteKey(),
            'key'               => [
                'public'    => $manage_bus_listing->getPublicKey(),
                'route'     => $manage_bus_listing->getRouteKey(),
            ], 
            'source'            => $manage_bus_listing->source,
            'url'               => [
                'public'    => trans_url('manage_bus_listing/'.$manage_bus_listing->getPublicKey()),
                'user'      => guard_url('manage_bus_listing/manage_bus_listing/'.$manage_bus_listing->getRouteKey()),
            ], 
            'status'            => trans('app.'.$manage_bus_listing->status),
            'created_at'        => format_date($manage_bus_listing->created_at),
            'updated_at'        => format_date($manage_bus_listing->updated_at),
        ];
    }
}